import request from '@/utils/request'

// 创建病案申请
export function createnxexpress(data) {
  return request({
    url: '/system/nxexpress/create',
    method: 'post',
    data: data
  })
}

// 更新病案申请
export function updatenxexpress(data) {
  return request({
    url: '/system/nxexpress/update',
    method: 'put',
    data: data
  })
}


// 删除病案申请
export function deletenxexpress(id) {
  return request({
    url: '/system/nxexpress/delete?id=' + id,
    method: 'delete'
  })
}

// 获得病案申请
export function getnxexpress(id) {
  return request({
    url: '/system/nxexpress/get?id=' + id,
    method: 'get'
  })
}

// 获得病案申请分页
export function getnxexpressPage(query) {
  return request({
    url: '/system/nxexpress/page',
    method: 'get',
    params: query
  })
}

// 导出病案申请 Excel
export function exportnxexpressExcel(query) {
  return request({
    url: '/system/nxexpress/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
// 修改病案发送状态
export function updateSend(data) {
  return request({
   url: '/system/nxexpress/updateSend',
    method: 'put',
    data: data,
  })
}

// 打回病案申请
export function rejectnxexpress(data) {
  return request({
    url: '/system/nxexpress/reject',
    method: 'put',
    data: data
  })
}
